import Vue from 'vue'
import App from './App.vue'
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import router from "./router";
Vue.use(ElementUI);
Vue.config.productionTip = false

router.beforeEach((to, from, next) => {
    console.log(to.name === "Login")
    if(localStorage.token || to.name === "Login") next();
    else next({path:"/"})
  })

new Vue({
  render: h => h(App),
  router,
}).$mount('#app')
